function [t] = definitions(y)
% DEFINITIONS Subroutine to define dependent variables
%
% Input arguments:
%    y      = current values of dependent variables
%
% Output arguments:
%    t(1,1) = temperature (deg C) in low-latitude box
%    t(2,1) = temperature (deg C) in high-latitude box
%    t(1,2) = salinity in low-latitude box
%    t(2,2) = salinity in high-latitude box

t(1:4,1:2) = 0.0; % preallocate for speed
t(1,1) = y(1);
t(2,1) = y(2);
t(3,1) = y(3);
t(4,1) = y(4);
t(1,2) = y(5);
t(2,2) = y(6);
t(3,2) = y(7);
t(4,2) = y(8);
