function [table] = forcing(frcf,nent,nvar)
% FORCING Read table of meltwater release rates.
% FORCING reads a table for meltwater release rates of carbon dioxide from 
% file.
%
% Input arguments:
%    frcf  = name of forcing file
%    nent  = number of rows
%    nvar  = number of columns (variables)
%
% Output arguments:
%    table = tabulated history of meltwater source

% Read forcing data from file
table(1:nent,1:nvar) = 0;
[table(:,1),table(:,2),table(:,3)] = textread(frcf,'%f %f %f','headerlines',2);
