function [time, t1, t2, t3, t4, s1, s2, s3, s4, delx, dwflx1, dwflx2, qflow] = load_results(filename)
% LOAD_RESULTS Load output from THC 4-box  model.
%
% Input argument:
%    filename = name of THC 4-box model output file
%
% Output arguments:
%    ...

% Read data from multi-column ASCII file

% Comments at the beginning of the data file will not affect the data as 
% long as each comment line begins with a percentage symbol "%".
data   = load(filename);
time   = data(:,1); % time (yr)
t1     = data(:,2); % temperature of low-latitude box (deg C)
t2     = data(:,3); % temperature of high-latitude box (deg C)
t3     = data(:,4); % temperature of low-latitude box (deg C)
t4     = data(:,5); % temperature of high-latitude box (deg C)
s1     = data(:,6); % salinity of low-latitude box
s2     = data(:,7); % salinity of high-latitude box
s3     = data(:,8); % salinity of low-latitude box
s4     = data(:,9); % salinity of high-latitude box
delx   = data(:,10); % freshwater flux perturbation (Sv)
dwflx1 = data(:,11); % freshwater flux perturbation (Sv)
dwflx2 = data(:,12); % freshwater flux perturbation (Sv)
qflow  = data(:,13); % flow strength (m s^(-1))

