function printer(fid, x, y, delx, dwflx1, dwflx2, qflow)
% PRINTER Write values to the screen and to a file.
% PRINTER Writes values to the screen and to a file (for subsequent 
% plotting), as the calculation proceeds.
%
% Input arguments:
%    fid    = file identifier
%    x      = independent variable (time, yr)
%    y      = vector of dependent variables (concentrations, 
%             10^(-3) mol m^(-3))
%    delx   = step size (yr)
%    dwflx1 = southern freshwater flux perturbation (Sv)
%    dwflx2 = southern freshwater flux perturbation (Sv)
%    qflow  = flow strength (Sv)
%
% Output arguments:
%    none

% Write formatted output to screen
% (use fixed point notation with field 10 and precision 6)
% (verwende eine feste Feldweite von insgesamt 10 Stellen 
% mit 6 Nachkommastellen)
fprintf ('%10.6f %10.6f %10.6f %10.6f %10.6f %10.6f %10.6f %10.6f %10.6f %10.6f %10.6f %10.6f %10.6f\n', ...
    x, y, delx, dwflx1, dwflx2, qflow);

% Write formatted output to file
fprintf (fid,'%10.6f %10.6f %10.6f %10.6f %10.6f %10.6f %10.6f %10.6f %10.6f %10.6f %10.6f %10.6f %10.6f\n', ...
    x, y, delx, dwflx1, dwflx2, qflow);
